Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class MeasurementInfos

    java.lang.Object
      org.hyperic.hq.product.MeasurementInfos

    public class MeasurementInfos

extends Object

A collection of `MeasurementInfo`s

Constructor Summary
`MeasurementInfos()`

Method Summary
`void` | `addMeasurementInfo(MeasurementInfo measurement)` Adds a measurement to the collection
`static MeasurementInfos` | `decode(byte[] data)` Constructs a `MeasurementInfos` from a byte array
`byte[]` | `encode()` Constructs a byte array from this collection of `MeasurementInfo`s
`boolean` | `equals(Object obj)`
`MeasurementInfo` | `getMeasurement(String name)`
`Set` | `getMeasurementNames()`
`Set` | `getMeasurements()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MeasurementInfos

    public MeasurementInfos()

Method Detail

### decode

    public static MeasurementInfos decode(byte[] data)
                                   throws org.hyperic.util.config.EncodingException,
                                          org.hyperic.util.config.InvalidOptionException,
                                          org.hyperic.util.config.InvalidOptionValueException

  Constructs a `MeasurementInfos` from a byte array

  Parameters:
    `data` - The byte array
  Returns:
    The created `MeasurementInfos`
  Throws:
    `org.hyperic.util.config.EncodingException`
    `org.hyperic.util.config.InvalidOptionException`
    `org.hyperic.util.config.InvalidOptionValueException`

### addMeasurementInfo

    public void addMeasurementInfo(MeasurementInfo measurement)

  Adds a measurement to the collection

  Parameters:
    `measurement` - The measurement to add

### encode

    public byte[] encode()
                  throws org.hyperic.util.config.EncodingException

  Constructs a byte array from this collection of `MeasurementInfo`s

  Returns:
    The encoded bytes representing this object
  Throws:
    `org.hyperic.util.config.EncodingException`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### getMeasurementNames

    public Set getMeasurementNames()

  Returns:
    A Set of String representing the names of the Measurements contained by this collection

### getMeasurement

    public MeasurementInfo getMeasurement(String name)

### getMeasurements

    public Set getMeasurements()

  Returns:
    The `MeasurementInfo`s in this collection

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.